package com.dgtly.system.service;

import com.dgtly.system.domain.CustomersExt;
import java.util.List;

/**
 * 经销商扩展Service接口
 * 
 * @author dgtly
 * @date 2020-10-12
 */
public interface ICustomersExtService 
{
    /**
     * 查询经销商扩展
     * 
     * @param chainsCode 经销商扩展ID
     * @return 经销商扩展
     */
    public CustomersExt selectCustomersExtById(String chainsCode);

    /**
     * 查询经销商扩展列表
     * 
     * @param customersExt 经销商扩展
     * @return 经销商扩展集合
     */
    public List<CustomersExt> selectCustomersExtList(CustomersExt customersExt);

    /**
     * 新增经销商扩展
     * 
     * @param customersExt 经销商扩展
     * @return 结果
     */
    public int insertCustomersExt(CustomersExt customersExt);

    /**
     * 修改经销商扩展
     * 
     * @param customersExt 经销商扩展
     * @return 结果
     */
    public int updateCustomersExt(CustomersExt customersExt);

    //修改企业认证状态
    public int updateCustomersIsAuthentication(String isAuthentication,String accountId);

    /**
     * 批量删除经销商扩展
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCustomersExtByIds(String ids);

    /**
     * 删除经销商扩展信息
     * 
     * @param chainsCode 经销商扩展ID
     * @return 结果
     */
    public int deleteCustomersExtById(String chainsCode);

    /**
     * @description: 根据订单编号查询组织id
     * @param: [orderId]
     * @return: java.lang.String
     * @author: qxm      
     * @date: 2020/10/19 11:31
     */ 
    String selectOrgIdByOrderId(String orderId);
    /**
     * @descption: 根据订单编号查询组织代号
     * @param: [orderId]
     * @return: java.lang.String
     * @auther: njs
     * @date: 2022-07-06 10:05
     */
    String selectChainsCodeByOrderId(String customerCode);
}
